# Uses of Class
org.apache.velocity.Template

Packages that use Template
Package
Description
org.apache.velocity.app
org.apache.velocity.context
org.apache.velocity.runtime
org.apache.velocity.runtime.directive
org.apache.velocity.runtime.parser
org.apache.velocity.runtime.parser.node

## Uses of Template in org.apache.velocity.app

Methods in org.apache.velocity.app that return Template
Modifier and Type
Method
Description
`static Template`
Velocity.`getTemplate(String name)`
Returns a `Template` from the Velocity resource management system.
`static Template`
Velocity.`getTemplate(String name, String encoding)`
Returns a `Template` from the Velocity resource management system.
`Template`
VelocityEngine.`getTemplate(String name)`
Returns a `Template` from the Velocity resource management system.
`Template`
VelocityEngine.`getTemplate(String name, String encoding)`
Returns a `Template` from the Velocity resource management system.

## Uses of Template in org.apache.velocity.context

Methods in org.apache.velocity.context that return types with arguments of type Template
Modifier and Type
Method
Description
`List<Template>`
ChainedInternalContextAdapter.`getMacroLibraries()`
`List<Template>`
InternalContextAdapterImpl.`getMacroLibraries()`
Method parameters in org.apache.velocity.context with type arguments of type Template
Modifier and Type
Method
Description
`void`
ChainedInternalContextAdapter.`setMacroLibraries(List<Template> macroLibraries)`
`void`
InternalContextAdapterImpl.`setMacroLibraries(List<Template> macroLibraries)`

## Uses of Template in org.apache.velocity.runtime

Methods in org.apache.velocity.runtime that return Template
Modifier and Type
Method
Description
`Template`
RuntimeInstance.`getTemplate(String name)`
Returns a `Template` from the resource manager.
`Template`
RuntimeInstance.`getTemplate(String name, String encoding)`
Returns a `Template` from the resource manager
`Template`
RuntimeServices.`getTemplate(String name)`
Returns a `Template` from the resource manager.
`Template`
RuntimeServices.`getTemplate(String name, String encoding)`
Returns a `Template` from the resource manager
`static Template`
RuntimeSingleton.`getTemplate(String name)`
Returns a `Template` from the resource manager.
`static Template`
RuntimeSingleton.`getTemplate(String name, String encoding)`
Returns a `Template` from the resource manager
Methods in org.apache.velocity.runtime with parameters of type Template
Modifier and Type
Method
Description
`boolean`
RuntimeInstance.`addVelocimacro(String name, Node macro, List<Macro.MacroArg> macroArgs, Template definingTemplate)`
Adds a new Velocimacro.
`boolean`
RuntimeServices.`addVelocimacro(String name, Node macro, List<Macro.MacroArg> macroArgs, Template definingTemplate)`
Adds a new Velocimacro.
`static boolean`
RuntimeSingleton.`addVelocimacro(String name, Node macro, List<Macro.MacroArg> macroArgs, Template definingTemplate)`
Adds a new Velocimacro.
`boolean`
VelocimacroFactory.`addVelocimacro(String name, Node macroBody, List<Macro.MacroArg> macroArgs, Template definingTemplate)`
Adds a macro to the factory.
`boolean`
VelocimacroManager.`addVM(String vmName, Node macroBody, List<Macro.MacroArg> macroArgs, Template definingTemplate, boolean canReplaceGlobalMacro)`
Adds a VM definition to the cache.
`VelocimacroProxy`
VelocimacroManager.`get(String vmName, Template renderingTemplate, Template template)`
Gets a VelocimacroProxy object by the name / source template duple.
`String`
VelocimacroManager.`getLibraryName(String vmName, Template template)`
Return the library name for a given macro.
`Directive`
RuntimeInstance.`getVelocimacro(String vmName, Template renderingTemplate, Template template)`
Returns the appropriate VelocimacroProxy object if vmName is a valid current Velocimacro.
`Directive`
RuntimeServices.`getVelocimacro(String vmName, Template renderingTemplate, Template template)`
Returns the appropriate VelocimacroProxy object if strVMname is a valid current Velocimacro.
`static Directive`
RuntimeSingleton.`getVelocimacro(String vmName, Template renderingTemplate, Template template)`
Returns the appropriate VelocimacroProxy object if strVMname is a valid current Velocimacro.
`Directive`
VelocimacroFactory.`getVelocimacro(String vmName, Template renderingTemplate, Template sourceTemplate)`
actual factory: creates a Directive that will behave correctly wrt getting the framework to dig out the correct # of args
`boolean`
RuntimeInstance.`isVelocimacro(String vmName, Template template)`
Checks to see if a VM exists
`boolean`
RuntimeServices.`isVelocimacro(String vmName, Template template)`
Checks to see if a VM exists
`static boolean`
RuntimeSingleton.`isVelocimacro(String vmName, Template template)`
Checks to see if a VM exists
`boolean`
VelocimacroFactory.`isVelocimacro(String vm, Template template)`
Tells the world if a given directive string is a Velocimacro
`SimpleNode`
RuntimeInstance.`parse(Reader reader, Template template)`
Parse the input and return the root of AST node structure.
`SimpleNode`
RuntimeServices.`parse(Reader reader, Template template)`
Parse the input and return the root of AST node structure.
`static SimpleNode`
RuntimeSingleton.`parse(Reader reader, Template template)`
Parse the input and return the root of AST node structure.

## Uses of Template in org.apache.velocity.runtime.directive

Methods in org.apache.velocity.runtime.directive that return Template
Modifier and Type
Method
Description
`Template`
Directive.`getTemplate()`
returns the template in which this directive appears
`protected Template`
Parse.`getTemplate(String path, String encoding)`
Find the template to render in the appropriate encoding
Methods in org.apache.velocity.runtime.directive with parameters of type Template
Modifier and Type
Method
Description
`void`
Directive.`setLocation(int line, int column, Template template)`
Allows the template location to be set.

## Uses of Template in org.apache.velocity.runtime.parser

Fields in org.apache.velocity.runtime.parser declared as Template
Modifier and Type
Field
Description
`Template`
StandardParser.`currentTemplate`
Current template we are parsing.
Methods in org.apache.velocity.runtime.parser that return Template
Modifier and Type
Method
Description
`Template`
Parser.`getCurrentTemplate()`
`Template`
StandardParser.`getCurrentTemplate()`
Methods in org.apache.velocity.runtime.parser with parameters of type Template
Modifier and Type
Method
Description
`SimpleNode`
Parser.`parse(Reader reader, Template template)`
`SimpleNode`
StandardParser.`parse(Reader reader, Template t)`
This was also added to allow parsers to be re-usable.

## Uses of Template in org.apache.velocity.runtime.parser.node

Fields in org.apache.velocity.runtime.parser.node declared as Template
Modifier and Type
Field
Description
`protected Template`
SimpleNode.`template`
Methods in org.apache.velocity.runtime.parser.node that return Template
Modifier and Type
Method
Description
`Template`
Node.`getTemplate()`
`Template`
SimpleNode.`getTemplate()`
Methods in org.apache.velocity.runtime.parser.node with parameters of type Template
Modifier and Type
Method
Description
`Node`
SimpleNode.`clone(Template template)`
Root node deep cloning
`protected Node`
SimpleNode.`clone(Template template, Node parent)`
Child node deep cloning